install-mh.at 1.72 KB
# This file is part of GNU Mailutils. -*- Autotest -*-
# Copyright (C) 2010-2012, 2014-2016 Free Software Foundation, Inc.
#
# GNU Mailutils is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 3, or (at
# your option) any later version.
#
# GNU Mailutils is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Mailutils.  If not, see <http://www.gnu.org/licenses/>.

AT_BANNER(install-mh)
AT_SETUP([install-mh -auto])
AT_KEYWORDS([install-mh install-mh00])

AT_CHECK([
mkdir home
dir=`cd home; pwd`
HOME=$dir MH=$dir/mh_profile install-mh -auto || exit $?
find home | sort
HOME=$dir MH=$dir/mh_profile install-mh -auto 2>errout
echo $?
cat errout
],
[0],
[I'm going to create the standard MH path for you.
home
home/Mail
home/Mail/context
home/Mail/inbox
home/mh_profile
1
install-mh: You already have an MH profile, use an editor to modify it
])

AT_CLEANUP

# --------------------------------------------------
AT_SETUP([install-mh with invalid profile])
AT_KEYWORDS([install-mh install-mh01])

AT_CHECK([
mkdir home
dir=`cd home; pwd`
mkdir $dir/mh_profile
HOME=$dir MH=$dir/mh_profile install-mh -auto 2>errout
code=$?
cat errout | sed 's|[[^ ][^ ]*]/mh_profile|mh_profile|' >&2
exit $code
],
[1],
[],
[install-mh: You already have file mh_profile which is not a regular file or a symbolic link.
install-mh: Please remove it and try again
])

AT_CLEANUP

# End of install-mh.at